﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Entity is characterized by
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://qa.devgcm-system.com/custom/XMLSchema/customer/credit-card-pm"
	xmlns:payM01="https://qa.devgcm-system.com/custom/XMLSchema/customer/credit-card-pm"
	xmlns:datatypes-v0="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
	xmlns:cbe-v0="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<!--
	-->
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDomain/CBE-v0_1.xsd"/>
	<!--
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDomain/CBE-v0_1.xsd"/>
	-->

	<!--
	 *
	 *==========================================================================
	 * ■CreditCardPM : <Specification's objectID>
	 *==========================================================================
	 *
	-->
	<!-- ■creditCardPM (Element) substitution element -->
	<xsd:element name="creditCardPM" type="payM01:CreditCardPM"
			substitutionGroup="cbe-v0:baseEntityIsCharcterizedBy"/>

	<!-- ■CreditCardPM (Datatype) -->
	<xsd:complexType name="CreditCardPM">
		<xsd:sequence>
			<xsd:element name="creditCardNumber" type="payM01:CharacteristicSpecification1" minOccurs="0"/>
			<xsd:element name="expirationDate" type="payM01:CharacteristicSpecification2" minOccurs="0"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:string" use="optional" />
	</xsd:complexType>

	<!-- ■CharacteristicSpecification1 (Datatype) -->
	<xsd:complexType name="CharacteristicSpecification1">
		<xsd:sequence>
			<xsd:element name="characteristicValue" type="payM01:CharacteristicValue1" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■CharacteristicValue1 (Datatype) -->
	<xsd:complexType name="CharacteristicValue1">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:CommonBusinessEntity">
				<xsd:sequence>
					<xsd:element ref="cbe-v0:baseCharcValueDescribedBy" minOccurs="0"/>
					<xsd:element name="unitOfMeasure" type="datatypes-v0:Quantity" minOccurs="0"/>
					<xsd:element ref="payM01:creditCardNumber" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CharacteristicSpecification2 (Datatype) -->
	<xsd:complexType name="CharacteristicSpecification2">
		<xsd:sequence>
			<xsd:element name="characteristicValue" type="payM01:CharacteristicValue2" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■CharacteristicValue2 (Datatype) -->
	<xsd:complexType name="CharacteristicValue2">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:CommonBusinessEntity">
				<xsd:sequence>
					<xsd:element ref="cbe-v0:baseCharcValueDescribedBy" minOccurs="0"/>
					<xsd:element name="unitOfMeasure" type="datatypes-v0:Quantity" minOccurs="0"/>
					<xsd:element ref="payM01:expirationDate" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■Element of CharacteristicValue
	 *==========================================================================
	 *
	-->
	<!-- ■creditCardNumber (Element) substitution element -->
	<xsd:element name="creditCardNumber"
			substitutionGroup="cbe-v0:baseValue">
		<xsd:simpleType>
			<xsd:restriction base="xsd:string">
				<xsd:length value="16"/>
				<xsd:pattern value="\d{16}"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<!-- ■expirationDate (Element) substitution element -->
	<xsd:element name="expirationDate"
			substitutionGroup="cbe-v0:baseValue">
		<xsd:simpleType>
			<xsd:restriction base="xsd:string">
				<xsd:length value="6"/>
				<xsd:pattern value="\d{4}(1[0-2]|0[1-9])"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

</xsd:schema>
